Module org.firebirdsql.jaybird
Package org.firebirdsql.gds.ng.wire.auth.srp

# Class SrpClient

java.lang.Object
org.firebirdsql.gds.ng.wire.auth.srp.SrpClient

public final class SrpClient extends Object
SRP client handshake implementation.

Author:
  Hajime Nakagami, Mark Rotteveel

## Constructor Summary

Constructors
Constructor
Description
`SrpClient(String clientProofHashAlgorithm)`

## Method Summary

Modifier and Type
Method
Description
`BigInteger`
`getPrivateKey()`
`BigInteger`
`getPublicKey()`
`byte[]`
`getSessionKey()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### SrpClient

public SrpClient(String clientProofHashAlgorithm)

## Method Details

### getPublicKey

public BigInteger getPublicKey()

### getPrivateKey

public BigInteger getPrivateKey()

### getSessionKey

public byte[] getSessionKey()